/** \file
	Log macro. Define LOG_ENABLED before including this file to enable logging.
*/

#ifndef LOG_H
#define LOG_H

#include <stdio.h>
#include <avr/pgmspace.h>

#ifdef LOG_ENABLED
//#	define LOG(...) usart_puts(__VA_ARGS__)
#	define LOG(fmt, ...) printf_P(PSTR(fmt), ##__VA_ARGS__)
#else
#	define LOG(...) ((void)0)	
#endif

#	define MSG(fmt, ...) printf_P(PSTR(fmt), ##__VA_ARGS__)

#endif
